$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-b75af69cf90418d18af2fa9af282e23b772e53d1/rpcs3-v0.0.10-10477-b75af69c_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'c0eaed664cbfaf6187f1a0a75c874d8c9921a9170354bc5efad97699ed97bd35'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
